Skip to main content

List all users.

GET 

/api/users/list

Retrieve the list of users created by a partner.

Request

Query Parameters

    page int32

    Default value: 0

    Page number

    Example: 0
    size int32

    Default value: 10

    Number of items per page

    Example: 10
    sortBy string

    Possible values: [firstName, lastName, email, phone, dateRegistered]

    Default value: dateRegistered

    Sort by field

    Example: dateRegistered
    sortDirection string

    Possible values: [asc, desc]

    Default value: desc

    Sort by order

    Example: desc
    searchBy string

    Possible values: [id, firstName, lastName, email, phone, licensePlate]

    Search by field

    Example: firstName
    searchValue string

    Search by value

    Example: Tom
    isFraud boolean

    Filter users marked as fraud

    registrationStartDate string

    Filter users whose registration date is greater or than equal to the date passed in. (The date should be in the ISO8601 UTC format YYY-MM-DDThh:mm:ss.SSSZ)

    Example: 2024-01-01T00:00:00.000Z
    registrationEndDate string

    Filter users whose registration date is less or than equal to the date passed in. (The date should be in the ISO8601 UTC format YYY-MM-DDThh:mm:ss.SSSZ)

    Example: 2024-01-01T00:00:00.000Z

Responses

List of users matching the query.

Schema

    totalItems int64

    Total number of users

    currentPage int32

    Current page number

    totalPages int64

    Current page size

    itemsOnPage int32

    Number of users on current page

    users

    object[]

    List of users

  • Array [

  • id string

    Unique Id for the user

    firstName string

    User's first name

    lastName string

    User's last name

    email string

    User's email address

    phone string

    User's cell phone number

    adminNote string

    Internal admin note

    customField1 string

    Custom Field 1

    customField2 string

    Custom Field 2

    customField3 string

    Custom Field 3

    customField4 string

    Custom Field 4

    customField5 string

    Custom Field 5

    address

    object

    Address

    addressLine1 string

    Street Address Line 1

    addressLine2 string

    Street Address Line 2

    city string

    City

    state string

    2 Letter State Code

    country string

    2 Letter Country Code

    zip string

    Zip

    tosAnswer string

    Possible values: [None, Accepted, Declined]

    User's answer to terms of service for sharing data with Partner. (Only valid for certain partners)

    partnerCode string

    A code generated for the user to share with Partner. (Only valid for certain partners)

    dateRegistered string

    Time at which user was registered on the system

    updated string

    Last updated timestamp

    emailVerified boolean
    phoneVerified boolean
    fraud boolean
  • ]

Loading...